Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.tree
Class AbstractLayoutCache.NodeDimensions

    java.lang.Object
      javax.swing.tree.AbstractLayoutCache.NodeDimensions

Direct Known Subclasses:
  BasicTreeUI.NodeDimensionsHandler

Enclosing class:
  AbstractLayoutCache

    public abstract static class AbstractLayoutCache.NodeDimensions

extends Object

Used by `AbstractLayoutCache` to determine the size and x origin of a particular node.

Constructor Summary
`AbstractLayoutCache.NodeDimensions()`

Method Summary
`abstract Rectangle` | `getNodeDimensions(Object value, int row, int depth, boolean expanded, Rectangle bounds)` Returns, by reference in bounds, the size and x origin to place value at.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLayoutCache.NodeDimensions

    public AbstractLayoutCache.NodeDimensions()

Method Detail

### getNodeDimensions

    public abstract Rectangle getNodeDimensions(Object value,
                                                int row,
                                                int depth,
                                                boolean expanded,
                                                Rectangle bounds)

  Returns, by reference in bounds, the size and x origin to place value at. The calling method is responsible for determining the Y location. If bounds is `null`, a newly created `Rectangle` should be returned, otherwise the value should be placed in bounds and returned.

  Parameters:
    `value` - the `value` to be represented
    `row` - row being queried
    `depth` - the depth of the row
    `expanded` - true if row is expanded, false otherwise
    `bounds` - a `Rectangle` containing the size needed to represent `value`
  Returns:
    a `Rectangle` containing the node dimensions, or `null` if node has no dimension

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.